
Redmine - Defect #9405

Any user with :log_time permission can edit time entries via context menu

2011-10-11 19:31 - Jevgen Gyrynovych

Status: Closed Start date: 2011-10-11

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 1.2.3   

Resolution: Fixed Affected version:  

Description

In Redmine 1.2.0 or later any user can edit any time entries via context menu.

Example url: http://redmine/projects/testproject/time_entries and click right mouse button on any time entries.

img1.png - user have permission to edit any time entries

img2-4.png - user edit time entries without permission on it.

As you can see, user with permissions have icons for edit time report, but user without permissions can do this via context menu

anyway.

PS: I set high priority to ticket. I think, this serious defect?

Related issues:

Related to Redmine - Feature #7996: Bulk edit and context menu for time entries Closed

Associated revisions

Revision 7920 - 2011-11-24 22:16 - Jean-Philippe Lang

Fixed that :view_time_entries permission allows time entry editing (#9405).

Revision 7921 - 2011-11-24 22:21 - Jean-Philippe Lang

Fixed that :edit_time_entries permission allows creating time entries (#9405).

Revision 7922 - 2011-11-24 22:31 - Jean-Philippe Lang

Fixed time entries context menu display according permissions (#9405).

Revision 7924 - 2011-11-25 22:58 - Jean-Philippe Lang

Fixed: log time form not displayed on issue edit with :log_time permission only (#9405).

Revision 8158 - 2011-12-10 13:04 - Jean-Philippe Lang

Merged r7920, r7921, r7922 and r7924 from trunk (#9405).

History

#1 - 2011-10-11 20:40 - Etienne Massip

- Category set to Time tracking

#2 - 2011-10-11 22:57 - Mischa The Evil

- Priority changed from High to Normal

I'm not able to reproduce this issue with source:/trunk@7623.

Are you sure that you were not testing this with an account configured as an administrator?

#3 - 2011-10-11 23:50 - Toshi MARUYAMA

- Priority changed from Normal to High

I can reproduce.
http://redmine/projects/testproject/time_entries
https://www.redmine.org/projects/redmine/repository/svn/revisions/7623/entry/trunk
https://www.redmine.org/projects/redmine/wiki/RedmineUsers


#4 - 2011-10-11 23:52 - Toshi MARUYAMA

This line has a bug.

source:trunk/app/controllers/context_menus_controller.rb#L54

#5 - 2011-10-12 00:35 - Etienne Massip

- Target version set to Candidate for next minor release

#6 - 2011-10-12 01:49 - Mischa The Evil

Ahh, I see... Thanks for your clarification on this Toshi. I was testing with an account that did not had the :log_time permission at all :-/

#7 - 2011-11-11 18:44 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.2.3

#8 - 2011-11-24 22:35 - Jean-Philippe Lang

- Status changed from New to Resolved

See related commits.

#9 - 2011-11-24 22:36 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#10 - 2011-11-25 09:23 - Jevgen Gyrynovych

Now it work fine. Thanks.

#11 - 2011-11-25 15:40 - Jevgen Gyrynovych

- File redmine.rb.patch added

I find some problem after apply the patch - when user tried to update ticket(e.g. nuber_of_ticket/edit), he dont have access to "Log time".

It fix that problem.

#12 - 2011-11-26 13:01 - Jean-Philippe Lang

I don't know what this patch is supposed to fix but :log_time should not allow the user to edit time entries.

I fixed a last point in r7924 which may be related to your fix.

#13 - 2011-12-10 13:05 - Jean-Philippe Lang

- Subject changed from any user can edit time entries via context menu to Any user with :log_time permission can edit time entries via context menu

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged in 1.2-stable.
